@REM 20080913 - Remove OpenAL for MSVC9 compile, under Vista 32-bit - using OpenAL SDK
@REM 20080418 - Adjusted freeglut, and lpng1225 to libpng-1.2.26 - ready for MSVC9 compile, under Vista 32-bit
@set TEMPPNG=lpng1231
@REM set TEMPPNG=libpng-1.2.26
@REM 20080309 - Added PNG lpng1225 folder, for osgdb-png.dll building
@REM 20070804 - Exclude OpenThreads, 20070516 - Minor adjustments. 20070319 - EXCLUDED Producer ...
@REM Establish SOURCE *** CHANGE THIS TO SUIT YOUR DISK:FOLDER STRUCTURE ***
@REM =======================================================================
@set TEMP2=C:\FGCVS
@REM =======================================================================
@REM Establish DESTINATION from input ...
@set TEMP1=%1
@set TEMP3=xcopy /S /Q
@echo Set up a NEW flightgear folder called [%TEMP1%] ...
@echo Checking all sources from %TEMP2% ...
@REM Do a CHECK of what is available
@if NOT EXIST %TEMP2%\FlightGear\source\. goto ERR3
@if NOT EXIST %TEMP2%\freeglut\. goto ERR4
@REM if NOT EXIST %TEMP2%\OpenAL\. goto ERR5
@if NOT EXIST %TEMP2%\OpenSceneGraph\. goto ERR6
@REM if NOT EXIST %TEMP2%\OpenThreads\. goto ERR7
@if NOT EXIST %TEMP2%\PLIB\. goto ERR8
@if NOT EXIST %TEMP2%\pthreads\. goto ERR10
@if NOT EXIST %TEMP2%\SimGear\source\. goto ERR11
@if NOT EXIST %TEMP2%\zlib-1.2.3\. goto ERR12
@if NOT EXIST %TEMP2%\%TEMPPNG%\. goto ERR13
@if NOT EXIST %TEMP2%\FlightGear\data\. goto ERR2
@if NOT EXIST %TEMP2%\freealut-1.1.0-src\. goto ERR14

@echo ALL REQUIRED SOURCES appear to have been found ... good work ;=))
@echo HAVE YOU UPDATED ALL THESE SOURCES?

@REM NO INPUT ... give HELP
@if "%TEMP1%." == "." goto HELP
@REM NO OVERWRITE OF AN EXISTING FOLDER
@if EXIST %TEMP1%\. goto NOWAY

:DOIT
@echo *** Is this folder [%TEMP1%] correct? *** ... Ctrl+C to abort ...
@pause

@set TEMPST=%TIME%
md %TEMP1%
cd %TEMP1%
@echo Making the FOLDERS ...
@echo Copying sources ... this can take some time ...
md bin
@cd bin
@REM md OpenAL
@cd ..
md fgfs
md FlightGear
cd FlightGear
%TEMP3% %TEMP2%\FlightGear\source\*.* .
cd ..
md freeglut
cd freeglut
%TEMP3% %TEMP2%\freeglut\*.* .
cd ..
@REM md OpenAL
@REM cd OpenAL
@REM %TEMP3% %TEMP2%\OpenAL\*.* .
@REM cd ..
md OpenSceneGraph
cd OpenSceneGraph
%TEMP3% %TEMP2%\OpenSceneGraph\*.* .
cd ..
@REM md OpenThreads
@REM cd OpenThreads
@REM %TEMP3% %TEMP2%\OpenThreads\*.* .
@REM cd ..
md PLIB
cd PLIB
%TEMP3% %TEMP2%\PLIB\*.* .
cd ..
md pthreads
cd pthreads
%TEMP3% %TEMP2%\pthreads\*.* .
cd ..
md SimGear
cd SimGear
%TEMP3% %TEMP2%\SimGear\source\*.* .
cd ..
md zlib-1.2.3
cd zlib-1.2.3
%TEMP3% %TEMP2%\zlib-1.2.3\*.* .
cd ..
@REM This may not be the current version name, but otherwise must change the solution file - UGH
md lpng1231
cd lpng1231
%TEMP3% %TEMP2%\%TEMPPNG%\*.* .
cd ..
@REM and alut
md alut
cd alut
%TEMP3% %TEMP2%\freealut-1.1.0-src\*.* .
cd ..
 
@echo %TEMPST% %TIME%
@echo Done ... this folder is ready for extraction of vc8sln??.zip ...
@if NOT EXIST %TEMP2%\FlightGear\data\. goto DONEDATA
@echo This NEXT step requires over 800MB ... and several minutes ...
@echo *** INCLUDE FLightGear data? *** Ctrl+C to exit ...
@pause

md data
cd data
%TEMP3% %TEMP2%\FlightGear\data\*.* .
cd ..
:DONEDATA
@echo All done ... this folder [%TEMP1%] is ready for extraction of vc8sln??.zip ...
@goto END

:NOWAY
@echo Appear %TEMP1% already exists ... must be a NEW folder name ...
@goto DONE

:HELP
@echo List of EXISTING folders ...
dir /ad /od
@echo If data included, after the build of both Release and Debug, will 
@echo consume about 2.5GB ... data is about 800MB plus ... CHECK YOU HAVE THE SPACE!
@echo Must give the name of a new FOLDER to set up ...
@echo but NOT one of the above folders, if any ...
@echo Must give the name of the NEW FOLDER to copy sources to ...
@goto DONE

:Err2
@echo missing %TEMP2%\FlightGear\data\.
@echo Not treated as FATAL ERROR ...
@goto DOIT

:Err3
@echo missing %TEMP2%\FlightGear\source\.
@goto GOTERR

:Err4
@echo missing %TEMP2%\freeglut\.
@goto GOTERR

:Err5
@echo missing %TEMP2%\OpenAL\.
@goto GOTERR

:Err6
@echo missing %TEMP2%\OpenSceneGraph\.
@goto GOTERR

@REM :Err7
@REM echo missing %TEMP2%\OpenThreads\.
@REM goto GOTERR

:Err8
@echo missing %TEMP2%\PLIB\.
@goto GOTERR

:Err10
@echo missing %TEMP2%\pthreads\.
@goto GOTERR

:Err11
@echo missing %TEMP2%\SimGear\source\.
@goto GOTERR

:Err12
@echo missing %TEMP2%\zlib-1.2.3\. - Needed for OSG osgdb-png.dll, and for SG/FG ...
@goto GOTERR

:Err13
@echo missing %TEMP2%\%TEMPPNG%\. - Needed for OSG osgdb-png.dll ...
@echo Perhaps you are using a different PNG version than %TEMPPNG%, in which case adjust this batch,
@echo and fgfs.sln will also have to be adjusted. Or rename your PNG source
@echo folder to %TEMPPNG%, whatever the version ...
@goto GOTERR

:Err14
@echo missing %TEMP2%\freealut-1.1.0-src - Needed for alut.dll creation ...
@goto GOTERR

:GOTERR
@echo If you already have this source built, then you can
@echo adjust this BATCH file to exclude this folder.
@echo This will also require adjustment of the fgfs.sln file when loaded in
@echo MSVC, and may also require adjustment of update.mak, if used.
@goto DONE

:END
@echo Ran from %TEMPST% to %TIME% ...
:DONE
@echo From %TEMPST% to %TIME% > tempst.txt
